- Main Page
- Modules
- Namespaces
- Classes
- Files

# query.h File Reference

`#include <glibmm.h>`
`#include <gst/gstquery.h>`
`#include <gstreamermm/miniobject.h>`
`#include <gstreamermm/structure.h>`
`#include <gstreamermm/wrap.h>`
`#include <gstreamermm/format.h>`

Go to the source code of this file.

## Namespaces
namespace | Gst
namespace | Gst::Enums
## Classes
class | Gst::QueryTypeDefinition
| A query type definition is used to get details of a Gst::Query by Gst::Query::get_details(). More...
class | Gst::Query
| Gst::Query - Classes used to perform queries on pads and elements. More...
class | Gst::QueryApplication
| A custom application query object. More...
class | Gst::QueryConvert
| A convert query object. More...
class | Gst::QueryPosition
| A stream position query object. More...
class | Gst::QueryDuration
| A stream duration query object. More...
class | Gst::QueryLatency
| A latency query object. More...
class | Gst::QuerySeeking
| A seeking query object. More...
class | Gst::QueryFormats
| A formats query object. More...
class | Gst::QuerySegment
| A new segment query object. More...
class | Gst::QueryBuffering
| A new buffering query object. More...
## Enumerations
enum | Gst::QueryType { Gst::QUERY_NONE, Gst::QUERY_POSITION, Gst::QUERY_DURATION, Gst::QUERY_LATENCY, Gst::QUERY_JITTER, Gst::QUERY_RATE, Gst::QUERY_SEEKING, Gst::QUERY_SEGMENT, Gst::QUERY_CONVERT, Gst::QUERY_FORMATS, Gst::QUERY_BUFFERING, Gst::QUERY_CUSTOM, Gst::QUERY_URI }
enum | Gst::BufferingMode { Gst::BUFFERING_STREAM, Gst::BUFFERING_DOWNLOAD, Gst::BUFFERING_TIMESHIFT, Gst::BUFFERING_LIVE }
## Functions
Glib::ustring | Gst::Enums::get_name (QueryType query)
| Get a printable name for the given query type.
Glib::QueryQuark | Gst::Enums::get_quark (QueryType query)
| Get the unique quark for the given query type.